import request from "@/scripts/httpRequest";
import qs from "qs";

export const getLocalCameraTree = (query: any) => {
  return request({
    url: "/data/api-v/area/localmenu",
    method: "get",
    params: query
  });
};

export const getGB28181CameraTree = (query: any) => {
  return request({
    url: "/data/api-v/area/gb28181Tree",
    method: "get",
    params: query
  });
};

export const addAreaTreeData = (query: any) => {
  return request({
    url: "/data/api-v/area/add",
    method: "post",
    data: qs.stringify(query)
  });
};

export const delAreaTreeData = (query: any) => {
  return request({
    url: "/data/api-v/area/del",
    method: "post",
    data: qs.stringify(query)
  });
};

export const updateAreaTreeData = (query: any) => {
  return request({
    url: "/data/api-v/area/update",
    method: "post",
    data: qs.stringify(query)
  });
};

export const refreshGB28181Tree = () => {
  return request({
    url: "/data/api-v/area/gb28181TreeRefresh",
    method: "post",
  });
};

export const updateCameraArea = (query: any) => {
  return request({
    url: "/data/api-v/camera/updateCameraArea",
    method: "post",
    data: qs.stringify(query)
  });
};
